Page MenuHomePhabricator

"donut-container" <div> added in every <ref>
Closed, ResolvedPublic1 Story Points

Description

The following div is added by the VisualEditor in every reference:

<div id="KJWFkfRroD" class="donut-container" style="cursor: pointer; display: -webkit-inline-box; width: 0px; height: 0px;"></div>

See https://fr.wikipedia.org/w/index.php?title=R%C3%A9gime_amaigrissant&diff=146196702&oldid=145678887

It's currently reproduceable on that page with Chrome and Firefox.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : wmf/1.33.0-wmf.6Fix filtering out .donut-container again
mediawiki/extensions/VisualEditor : masterFix filtering out .donut-container again
mediawiki/extensions/VisualEditor : wmf/1.31.0-wmf.24Blacklist Web of Trust junk from being added to pages
mediawiki/extensions/VisualEditor : masterBlacklist Web of Trust junk from being added to pages

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2018, 7:21 PM
The_RedBurn updated the task description. (Show Details)Mar 7 2018, 7:22 PM

I can't reproduce this. Can you provide detailed steps needed to make this happen?

Problems like this are often caused by browser extensions inserting things into pages. Do you have any extensions installed that do anything related to… donuts? If we find out where this is coming from, we could probably blacklist it.

There are a few other pages on fr.wp that are affected by this problem: https://fr.wikipedia.org/w/index.php?search=insource%3Adonut-container&profile=all

Some also have a "reactroot" div, which seems vaguely related (some pages have both): https://fr.wikipedia.org/w/index.php?search=insource%3Areactroot&profile=all

Change 417037 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Blacklist Web of Trust junk from being added to pages

https://gerrit.wikimedia.org/r/417037

It would be nice if we could contact them and ask them to stop inserting this into contenteditable elements… The patch above should stop this from appearing in pages now, but it will easily break e.g. if they decide to use some more reasonable attribute than class="donut-container" to identify their stuff.

They already have a special case for Wikipedia in the configuration: http://static-cdn.mywot.com/settings/extensions/serps.json so hopefully it wouldn't be difficult for them to do?

I've sent an email about this problem to support@mywot.com with a link to this bug.

Change 417037 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Blacklist Web of Trust junk from being added to pages

https://gerrit.wikimedia.org/r/417037

Change 417177 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.24] Blacklist Web of Trust junk from being added to pages

https://gerrit.wikimedia.org/r/417177

Deskana triaged this task as High priority.Mar 8 2018, 10:30 AM
Deskana added a subscriber: Deskana.

Waiting for the backport, for now.

Change 417177 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.24] Blacklist Web of Trust junk from being added to pages

https://gerrit.wikimedia.org/r/417177

Mentioned in SAL (#wikimedia-operations) [2018-03-08T14:37:24Z] <zfilipin@tin> Synchronized php-1.31.0-wmf.24/extensions/VisualEditor/modules/ve-mw/init/ve.init.mw.Target.js: SWAT: [[gerrit:417177|Blacklist Web of Trust junk from being added to pages (T189148)]] (duration: 01m 15s)

Deskana closed this task as Resolved.Mar 8 2018, 4:31 PM
Deskana set the point value for this task to 1.
Deskana removed a subscriber: Deskana.Dec 3 2018, 1:26 PM

@MaxBioHazard Thank you for noticing. I found that this has been broken by https://gerrit.wikimedia.org/r/c/mediawiki/extensions/VisualEditor/+/473809.

Change 478808 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Fix filtering out .donut-container again

https://gerrit.wikimedia.org/r/478808

Change 478808 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix filtering out .donut-container again

https://gerrit.wikimedia.org/r/478808

Change 478975 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@wmf/1.33.0-wmf.6] Fix filtering out .donut-container again

https://gerrit.wikimedia.org/r/478975

Change 478975 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.33.0-wmf.6] Fix filtering out .donut-container again

https://gerrit.wikimedia.org/r/478975

matmarex closed this task as Resolved.Dec 11 2018, 9:34 PM

The patch was deployed to all projects and the problem shouldn't occur for any new edits. You can find existing affected pages using the wiki search feature, for example: https://ru.wikipedia.org/w/index.php?search=insource%3Adonut-container&profile=all

Sorry about this!